Bug 476623 - Review Request: perl-Test-NeedsDisplay - Ensure that tests needing a display have one
Review Request: perl-Test-NeedsDisplay - Ensure that tests needing a display ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-16 04:54 EST by Marcela Mašláňová
Modified: 2014-11-20 05:43 EST (History)
4 users (show)

See Also:
Fixed In Version: perl-Test-NeedsDisplay-1.07-9.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-12 01:42:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
opensource: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2008-12-16 04:54:42 EST
Spec URL: http://mmaslano.fedorapeople.org/perl-Test-NeedsDisplay/perl-Test-NeedsDisplay.spec
SRPM URL: http://mmaslano.fedorapeople.org/perl-Test-NeedsDisplay/perl-Test-NeedsDisplay-1.05-1.fc10.src.rpm
Description: When testing GUI applications, sometimes applications or modules absolutely insist on a display, even just to load a module without actually showing any objects.
Comment 1 Parag AN(पराग) 2008-12-16 06:07:46 EST
Review:
+ package builds in mock (rawhide i386).
koji Build => koji is down currently.
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
63967780b12820a668fed932812f9327  Test-NeedsDisplay-1.05.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=4, Tests=2,  1 wallclock secs ( 0.02 usr  0.01 sys +  0.13 cusr  0.02 csys =  0.18 CPU)
+ Package perl-Test-NeedsDisplay-1.05-1.fc11
Provides:
 perl(Test::NeedsDisplay) = 1.05
Requires:
 perl >= 0:5.006
 perl(Config)
 perl(File::Spec)
 perl(strict)
 perl(vars)

Suggestions:
  Drop unnecessary BR:perl >= 1:5.6.0

APPROVED.
Comment 2 Parag AN(पराग) 2008-12-31 00:00:57 EST
ping?
Comment 3 Marcela Mašláňová 2009-01-05 03:00:45 EST
New Package CVS Request
=======================
Package Name: perl-Test-NeedsDisplay
Short Description: Ensure that tests needing a display have one
Owners: mmaslano
Branches: F-10
InitialCC: perl-devel
Comment 4 Kevin Fenzi 2009-01-06 20:19:05 EST
cvs done.
Comment 5 Jitka Plesnikova 2014-11-03 02:15:36 EST
Package Change Request
======================
Package Name: perl-Test-NeedsDisplay
New Branches: epel7
Owners: ddick

The request for epel7 is based on BZ#1159715
I am current maintainer of the package and I agree with it.
Comment 6 Till Maas 2014-11-03 03:32:26 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2014-11-03 05:41:22 EST
perl-Test-NeedsDisplay-1.07-9.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-Test-NeedsDisplay-1.07-9.el7
Comment 8 Fedora Update System 2014-11-20 05:43:25 EST
perl-Test-NeedsDisplay-1.07-9.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.